/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Opens the groups editor (GroupsTab).
 */
Ext.define( 'QDesk.controller.command.security.groups.EditGroups', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.Msg',

    'QDesk.view.work.security.groups.GroupsTab'
  ],


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    me.callParent( [ config ] );
  },


  execute : function ()
  {
    var me = this;

    var mainTabPanel = Ext.ComponentQuery.query( '#mainTabPanel' )[ 0 ];
    var groupsTab = mainTabPanel.down( 'GroupsTab' );

    // if the GroupsTab is open, open it
    if ( groupsTab )
    {
      mainTabPanel.setActiveTab( groupsTab );
    }
    else
    {
      me.mask( QDesk.Msg.get( 'QDesk.controller.command.security.groups.EditGroups.maskMsg' ) );

      // deferred so that the mask message gets displayed
      Ext.defer( function ()
      {
        try
        {
          groupsTab = Ext.widget( 'GroupsTab', {} );
          groupsTab = mainTabPanel.add( groupsTab );

          mainTabPanel.setActiveTab( groupsTab );
        }
        finally
        {
          me.unmask();
        }
      }, 100, me );
    }
  }
} );
