/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Opens the users editor (UsersTab).
 */
Ext.define( 'QDesk.controller.command.security.users.EditUsers', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.Msg',

    'QDesk.view.work.security.users.UsersTab'
  ],


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    me.callParent( [ config ] );
  },


  execute : function ()
  {
    var me = this;

    var mainTabPanel = Ext.ComponentQuery.query( '#mainTabPanel' )[ 0 ];
    var usersTab = mainTabPanel.down( 'UsersTab' );

    // if the UsersTab is open, open it
    if ( usersTab )
    {
      mainTabPanel.setActiveTab( usersTab );
    }
    else
    {
      me.mask( QDesk.Msg.get( 'QDesk.controller.command.security.users.EditUsers.maskMsg' ) );

      // deferred so that the mask message gets displayed
      Ext.defer( function ()
      {
        try
        {
          usersTab = Ext.widget( 'UsersTab', {} );
          usersTab = mainTabPanel.add( usersTab );

          mainTabPanel.setActiveTab( usersTab );
        }
        finally
        {
          me.unmask();
        }
      }, 100, me );
    }
  }
} );
