/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.controller.top.LicenseInfoController', {
  extend : 'Ext.app.Controller',

  requires : [
    'QDesk.util.constant.EventName'
  ],


  init : function ()
  {
    var me = this;

    var application = me.getApplication();

    application.addListener( QDesk.util.constant.EventName.HEARTBEAT, me._onHeartbeat, me );

    me.callParent( arguments );
  },


  onLaunch : function ( application )
  {
    var me = this;
    me.callParent( arguments );
  },


  _onHeartbeat : function ( params )
  {
    var licenseInfoPanel = Ext.ComponentQuery.query( '#licenseInfoPanel' )[ 0 ];
    licenseInfoPanel.updateProductInfo( params.product );
    licenseInfoPanel.updateLicenseInfo( params.license );
  }
} );
