/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The audit trail entry data model based on the {@link AuditTrailEntry} class.
 */
Ext.define( 'QDesk.model.audit.AuditTrailEntry', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    /* Artificial generated ID (GENERAL-123, QUARTZ-123, ...) */
    { name : 'generatedId', type : 'string' },

    { name : 'id', type : 'int' },

    { name : 'createdAt', type : 'auto' },

    { name : 'sessionToken', type : 'string' },

    /* QDesk.model.security.UserSessionOrigin (GUI, WEB_SERVICE, ...) */
    { name : 'sessionOrigin', type : 'string' },

    { name : 'sessionLocalHost', type : 'string' },
    { name : 'sessionHttpServerHost', type : 'string', allowNull : true },
    { name : 'sessionHttpClientHost', type : 'string', allowNull : true },

    { name : 'userId', type : 'int', allowNull : true },
    { name : 'externalUserId', type : 'string', allowNull : true },
    { name : 'username', type : 'string', allowNull : true },

    /* QDesk.model.audit.AuditTrailEntryCategory (GENERAL_AUTHENTICATION, GENERAL_USER, ...) */
    { name : 'category', type : 'string' },

    /* QDesk.model.audit.AuditTrailEntryType (LOGIN, LOGOUT, USER_ADD, USER_UPDATE, ...) */
    { name : 'type', type : 'string' },

    { name : 'beforeDetails', type : 'string', allowNull : true },
    { name : 'afterDetails', type : 'string', allowNull : true },

    { name : 'targetObjectId', type : 'string', allowNull : true },
    { name : 'targetObjectName', type : 'string', allowNull : true },
    { name : 'targetObjectPath', type : 'string', allowNull : true },

    /* QuartzAuditTrailEntry - specific attributes */
    { name : 'targetSchedulerObjectName', type : 'string', allowNull : true },
    { name : 'targetSchedulerName', type : 'string', allowNull : true },
    { name : 'targetSchedulerInstanceId', type : 'string', allowNull : true },

    { name : 'targetJobGroupName', type : 'string', allowNull : true },
    { name : 'targetJobName', type : 'string', allowNull : true },

    { name : 'targetTriggerGroupName', type : 'string', allowNull : true },
    { name : 'targetTriggerName', type : 'string', allowNull : true }
  ]
} );