/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  */

/**
 * Audit trail entry type.
 */
Ext.define( 'QDesk.model.audit.AuditTrailEntryType', {
  singleton : true,

  /*
   * Category: GENERAL_AUTHENTICATION
   */
  LOGIN : 'LOGIN',
  LOGOUT : 'LOGOUT',

  /*
   * Category: GENERAL_USER
   */
  USER_ADD : 'USER_ADD',
  USER_UPDATE : 'USER_UPDATE',
  USER_DELETE : 'USER_DELETE',
  USER_LOCK : 'USER_LOCK',
  USER_UNLOCK : 'USER_UNLOCK',
  USER_CHANGE_PERMISSIONS : 'USER_CHANGE_PERMISSIONS',
  USER_CHANGE_GROUPS : 'USER_CHANGE_GROUPS',

  /*
   * Category: GENERAL_GROUP
   */
  GROUP_ADD : 'GROUP_ADD',
  GROUP_UPDATE : 'GROUP_UPDATE',
  GROUP_DELETE : 'GROUP_DELETE',
  GROUP_CHANGE_PERMISSIONS : 'GROUP_CHANGE_PERMISSIONS',
  GROUP_CHANGE_MEMBERS : 'GROUP_CHANGE_MEMBERS',

  /*
   * Category: GENERAL_APP_CONFIG
   */
  APP_CONFIG_UPDATE : 'APP_CONFIG_UPDATE',

  /*
   * Category: GENERAL_CONNECTION
   */
  CONNECTION_ADD : 'CONNECTION_ADD',
  CONNECTION_UPDATE : 'CONNECTION_UPDATE',
  CONNECTION_DELETE : 'CONNECTION_DELETE',
  CONNECTION_MOVE : 'CONNECTION_MOVE',
  /* CONNECTION_OPEN : 'CONNECTION_OPEN', */
  /* CONNECTION_TEST : 'CONNECTION_TEST', */
  CONNECTION_FLD_ADD : 'CONNECTION_FLD_ADD',
  CONNECTION_FLD_UPDATE : 'CONNECTION_FLD_UPDATE',
  CONNECTION_FLD_DELETE : 'CONNECTION_FLD_DELETE',
  CONNECTION_FLD_MOVE : 'CONNECTION_FLD_MOVE',

  /*
   * Category: GENERAL_MSG_CHANNEL_PROFILE
   */
  MSG_CHANNEL_PROFILE_ADD : 'MSG_CHANNEL_PROFILE_ADD',
  MSG_CHANNEL_PROFILE_UPDATE : 'MSG_CHANNEL_PROFILE_UPDATE',
  MSG_CHANNEL_PROFILE_DELETE : 'MSG_CHANNEL_PROFILE_DELETE',
  MSG_CHANNEL_PROFILE_MOVE : 'MSG_CHANNEL_PROFILE_MOVE',
  // MSG_CHANNEL_PROFILE_TEST : 'MSG_CHANNEL_PROFILE_TEST',
  MSG_CHANNEL_PROFILE_FLD_ADD : 'MSG_CHANNEL_PROFILE_FLD_ADD',
  MSG_CHANNEL_PROFILE_FLD_UPDATE : 'MSG_CHANNEL_PROFILE_FLD_UPDATE',
  MSG_CHANNEL_PROFILE_FLD_DELETE : 'MSG_CHANNEL_PROFILE_FLD_DELETE',
  MSG_CHANNEL_PROFILE_FLD_MOVE : 'MSG_CHANNEL_PROFILE_FLD_MOVE',

  /*
   * Category: QUARTZ_SCHEDULER
   */
  QUARTZ_SCHEDULER_START : 'QUARTZ_SCHEDULER_START',
  QUARTZ_SCHEDULER_PAUSE : 'QUARTZ_SCHEDULER_PAUSE',
  QUARTZ_SCHEDULER_STOP : 'QUARTZ_SCHEDULER_STOP',
  QUARTZ_SCHEDULER_PAUSE_TRIGGERS : 'QUARTZ_SCHEDULER_PAUSE_TRIGGERS',
  QUARTZ_SCHEDULER_RESUME_TRIGGERS : 'QUARTZ_SCHEDULER_RESUME_TRIGGERS',

  /*
   * Category: QUARTZ_JOB_GROUP
   */
  QUARTZ_JOB_GROUP_PAUSE : 'QUARTZ_JOB_GROUP_PAUSE',
  QUARTZ_JOB_GROUP_RESUME : 'QUARTZ_JOB_GROUP_RESUME',

  /*
   * Category: QUARTZ_JOB
   */
  QUARTZ_JOB_MANUAL_TRIGGER : 'QUARTZ_JOB_MANUAL_TRIGGER',
  QUARTZ_JOB_ADD : 'QUARTZ_JOB_ADD',
  QUARTZ_JOB_UPDATE : 'QUARTZ_JOB_UPDATE',
  QUARTZ_JOB_DELETE : 'QUARTZ_JOB_DELETE',
  QUARTZ_JOB_PAUSE : 'QUARTZ_JOB_PAUSE',
  QUARTZ_JOB_RESUME : 'QUARTZ_JOB_RESUME',
  QUARTZ_JOB_INTERRUPT : 'QUARTZ_JOB_INTERRUPT',

  /*
   * Category: QUARTZ_TRIGGER_GROUP
   */
  QUARTZ_TRIGGER_GROUP_PAUSE : 'QUARTZ_TRIGGER_GROUP_PAUSE',
  QUARTZ_TRIGGER_GROUP_RESUME : 'QUARTZ_TRIGGER_GROUP_RESUME',

  /*
   * Category: QUARTZ_TRIGGER
   */
  QUARTZ_TRIGGER_ADD : 'QUARTZ_TRIGGER_ADD',
  QUARTZ_TRIGGER_UPDATE : 'QUARTZ_TRIGGER_UPDATE',
  QUARTZ_TRIGGER_DELETE : 'QUARTZ_TRIGGER_DELETE',
  QUARTZ_TRIGGER_PAUSE : 'QUARTZ_TRIGGER_PAUSE',
  QUARTZ_TRIGGER_RESUME : 'QUARTZ_TRIGGER_RESUME',

  /*
   * Category: QUARTZ_EXEC_NOTIF_RULE
   */
  QUARTZ_EXEC_NOTIF_RULE_ADD : 'QUARTZ_EXEC_NOTIF_RULE_ADD',
  QUARTZ_EXEC_NOTIF_RULE_UPDATE : 'QUARTZ_EXEC_NOTIF_RULE_UPDATE',
  QUARTZ_EXEC_NOTIF_RULE_DELETE : 'QUARTZ_EXEC_NOTIF_RULE_DELETE',

  /*
   * Category: QUARTZ_JOB_CHAIN
   */
  QUARTZ_JOB_CHAIN_ADD : 'QUARTZ_JOB_CHAIN_ADD',
  QUARTZ_JOB_CHAIN_UPDATE : 'QUARTZ_JOB_CHAIN_UPDATE',
  QUARTZ_JOB_CHAIN_DELETE : 'QUARTZ_JOB_CHAIN_DELETE'
} );
