/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Server data model.
 */
Ext.define( 'QDesk.model.jmx.RemoteJmxService', {
  extend : 'Ext.data.Model',
  fields : [
    /* JMX protocol - see QDesk.model.jmx.JmxProtocol */
    { name : 'protocol', type : 'string', allowNull : true },

    { name : 'host', type : 'string', allowNull : true },
    { name : 'port', type : 'int' },

    { name : 'serviceUrl', type : 'string', allowNull : true },

    { name : 'secure', type : 'boolean' },

    /*
     * authentication attribute has the following structure:
     * { name : 'username', type : 'string'},
     * { name : 'password', type : 'string'}
     */
    { name : 'authentication', type : 'auto' }
  ]
} );
