/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Represents an effective user permission.
 */
Ext.define( 'QDesk.model.security.EffectiveUserPermission', {
  extend : 'Ext.data.Model',

  fields : [
    /*
     * Permission. See QDesk.model.security.Permission.
     */
    { name : 'permission', type : 'string' },

    /*
     * See QDesk.model.security.EffectiveUserPermissionSource.
     * Indicates where the effective permission comes from (USER / GROUP).
     */
    { name : 'source', type : 'string' },

    /*
     * ID of the permission source. Either a user ID or group ID.
     */
    { name : 'sourceId', type : 'int' },

    /*
     * Name of the permission source. Either a username (if source == USER) or group name (if source == GROUP).
     */
    { name : 'sourceName', type : 'string', allowsNull : true }
  ]
} );
