/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The formatted timestamp data model.
 */
Ext.define( 'QDesk.model.type.FormattedTimestamp', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    /*
     * Raw timestamp value represented as a JavaScript Date with the original time zone offset used by the backend.
     */
    {
      name : 'rawValue',
      type : 'date',
      dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601WithTz
    },

    /*
     * Timestamp in the target time zone represented as a JavaScript Date without the time zone / offset information.
     * This allows JavaScript to parse and use the date time value as is without converting it to the browser-local
     * time zone.
     */
    {
      name : 'targetValue',
      type : 'date',
      dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601WithoutTz
    },

    /*
     * Formatted timestamp in the target time zone formatted according to user format and time zone preferences.
     */
    { name : 'targetFmtValue', type : 'string' }
  ]
} );