/*
 * This fixes the following issue in Ext.ComponentQuery in ExtJS 6.6 that occurs when the scanned component
 * (root component) contains non-components that do not provide getItemId function. For example, this happens
 * for Ext.chart.legend.SpriteLegend instances that appear in components that embed charts.
 *
 * ext-all-debug.js:30496 Uncaught TypeError: candidate.getItemId is not a function
 *   at filterById (ext-all-debug.js:30496)
 *   at filterItems (ext-all-debug.js:30382)
 *   at constructor._execute (ext-all-debug.js:30654)
 *   at constructor.execute (ext-all-debug.js:30615)
 *   at constructor.query (ext-all-debug.js:30909)
 *   at constructor.query (ext-all-debug.js:119391)
 *   at constructor.down (ext-all-debug.js:119460)
 *   at eval (eval at getJobsTab (SchedulerViewUtils.js?_dc=1539764898265:27), <anonymous>:1:15)
 *   at constructor.getJobsTab (SchedulerViewUtils.js?_dc=1539764898265:27)
 *   at constructor.execute (RefreshExecHistoryView.js?_dc=1539764898377:55)
 *
 * For details, please refer to this bug report:
 *
 */
Ext.define( 'QDesk.overrides.chart.legend.SpriteLegend', {
  override : 'Ext.chart.legend.SpriteLegend',

  isXType : function ( xtype )
  {
    return xtype === 'sprite';
  },


  getItemId : function ()
  {
    return this.getId();
  }
} );
