/**
 * (1) New setCursorPosition and getCursorPosition methods for textfield, textarea etc.
 * http://www.sencha.com/forum/showthread.php?95486-Cursor-Position-in-TextField
 */
Ext.define( 'QDesk.overrides.form.field.Tag', {
  override : 'Ext.form.field.Tag',

  constructor : function ( config )
  {
    var me = this;

    Ext.apply( config, {
      listeners : {
        specialkey : function ( field, event )
        {
          if ( event.getKey() == event.ENTER )
          {
            var inputEl = field.getEl().down( '#' + field.getInputId() );

            /*
             * If the embedded input field that is used by the tagfield for entering new values has
             * a non-empty value, we want the Enter key to finalize the entry of the new value.
             * In that case we need to stop the event from being propagated to the owner form because
             * that would submit the owner form in case the owner form has a default button.
             */
            if ( !Ext.isEmpty( inputEl.getValue() ) )
            {
              event.stopPropagation();
            }
          }
        }
      }
    } );

    me.callParent( [ config ] );
  }
} );
