Ext.define( 'QDesk.overrides.ux.IFrame', {
  override : 'Ext.ux.IFrame',
  cleanupListeners : function ( destroying )
  {
    var doc, prop;
    if ( this.rendered )
    {
      try
      {
        doc = this.getDoc();
        if ( doc )
        {
          // QuartzDesk: we need to check if doc.id is string, because some pages
          // (e.g. www.quartzdesk.com that uses mootools) set doc.id to a function.
          if ( Ext.isString( doc.id ) )
          {
            Ext.get( doc ).un( this._docListeners );
            if ( destroying )
            {
              for ( prop in doc )
              {
                if ( doc.hasOwnProperty && doc.hasOwnProperty( prop ) )
                {
                  delete doc[ prop ];
                }
              }
            }
          }
        }
      }
      catch ( e )
      {
      }
    }
  },

  onLoad : function ()
  {
    var me = this;
    var doc = me.getDoc();
    var fn = me.onRelayedEvent;

    if ( doc )
    {
      // QuartzDesk: we need to check if doc.id is string, because some pages
      // (e.g. www.quartzdesk.com that uses mootools) set doc.id to a function.
      if ( Ext.isString( doc.id ) )
      {
        try
        {
          // These events need to be relayed from the inner document (where they stop
          // bubbling) up to the outer document. This has to be done at the DOM level so
          // the event reaches listeners on elements like the document body. The effected
          // mechanisms that depend on this bubbling behavior are listed to the right
          // of the event.
          Ext.get( doc ).on( me._docListeners = {
            mousedown : fn,
            // menu dismisal (MenuManager) and Window onMouseDown (toFront)
            mousemove : fn,
            // window resize drag detection
            mouseup : fn,
            // window resize termination
            click : fn,
            // not sure, but just to be safe
            dblclick : fn,
            // not sure again
            scope : me
          } );
        }
        catch ( e )
        {
        }
        // cannot do this xss
        // We need to be sure we remove all our events from the iframe on unload or we're going to LEAK!
        Ext.get( me.getWin() ).on( 'beforeunload', me.cleanupListeners, me );
      }

      me.el.unmask();
      me.fireEvent( 'load', me );
    }
    else if ( me.src )
    {
      me.el.unmask();
      me.fireEvent( 'error', me );
    }
  }
} );
