/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.DateFormatStore', {
  extend : 'Ext.data.Store',

  storeId : 'DateFormatStore',

  fields : [ 'valueJs', 'valueJava', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          valueJs : 'Y-m-d',  // 2015-05-31
          valueJava : 'yyyy-MM-dd',
          valueLabel : 'yyyy-MM-dd'
        },

        {
          valueJs : 'd-m-Y',  // 31-05-2015
          valueJava : 'dd-MM-yyyy',
          valueLabel : 'dd-MM-yyyy'
        },

        {
          valueJs : 'm/d/Y',  // 05/31/2015
          valueJava : 'MM/dd/yyyy',
          valueLabel : 'MM/dd/yyyy'
        },

        {
          valueJs : 'd/m/Y',  // 31/05/2015
          valueJava : 'dd/MM/yyyy',
          valueLabel : 'dd/MM/yyyy'
        },

        {
          valueJs : 'd.m.Y',  // 31.05.2015
          valueJava : 'dd.MM.yyyy',
          valueLabel : 'dd.MM.yyyy'
        },

        {
          valueJs : 'Y.m.d',  // 2015.05.31
          valueJava : 'yyyy.MM.dd',
          valueLabel : 'yyyy.MM.dd'
        },

        {
          valueJs : 'M d, Y',  // May 31, 2015
          valueJava : 'MMM dd, yyyy',
          valueLabel : 'MMM dd, yyyy'
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
