/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.JmxProtocolStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.jmx.JmxProtocol',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.JmxProtocolStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.jmx.JmxProtocol.RMI,
          valueLabel : QDesk.util.EnumUtils.getProtocolName( QDesk.model.jmx.JmxProtocol.RMI )
        },
        {
          value : QDesk.model.jmx.JmxProtocol.JMXMP,
          valueLabel : QDesk.util.EnumUtils.getProtocolName( QDesk.model.jmx.JmxProtocol.JMXMP )
        },
        {
          value : QDesk.model.jmx.JmxProtocol.REMOTING_JMX,
          valueLabel : QDesk.util.EnumUtils.getProtocolName( QDesk.model.jmx.JmxProtocol.REMOTING_JMX )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );