/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.JobChainConditionTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.JobChainConditionType',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.scheduler.JobChainConditionTypeStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.scheduler.JobChainConditionType.EXEC_STATUS,
          valueLabel : QDesk.util.EnumUtils.getJobChainConditionTypeName(
              QDesk.model.scheduler.JobChainConditionType.EXEC_STATUS )
        },
        {
          value : QDesk.model.scheduler.JobChainConditionType.MAX_DURATION,
          valueLabel : QDesk.util.EnumUtils.getJobChainConditionTypeName(
              QDesk.model.scheduler.JobChainConditionType.MAX_DURATION )
        },
        {
          value : QDesk.model.scheduler.JobChainConditionType.EXPRESSION,
          valueLabel : QDesk.util.EnumUtils.getJobChainConditionTypeName(
              QDesk.model.scheduler.JobChainConditionType.EXPRESSION )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );