/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.quartz.QuartzIntervalTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.quartz.QuartzIntervalType',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerVersion )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerVersion' );

    var data = [];

    data.push( {
      value : QDesk.model.scheduler.quartz.QuartzIntervalType.WEEKLY,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getIntervalTypeName(
          QDesk.model.scheduler.quartz.QuartzIntervalType.WEEKLY )
    } );

    data.push( {
      value : QDesk.model.scheduler.quartz.QuartzIntervalType.MONTHLY,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getIntervalTypeName(
          QDesk.model.scheduler.quartz.QuartzIntervalType.MONTHLY )
    } );

    data.push( {
      value : QDesk.model.scheduler.quartz.QuartzIntervalType.YEARLY,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getIntervalTypeName(
          QDesk.model.scheduler.quartz.QuartzIntervalType.YEARLY )
    } );

    Ext.apply( config, {
      data : data
    } );

    me.callParent( [ config ] );
  }
} );