/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.quartz.QuartzNthIncludedDayTriggerMisfireInstructionStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.quartz.QuartzNthIncludedDayTriggerMisfireInstruction',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerVersion )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerVersion' );

    var data = [];

    data.push( {
      value : 0,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getNthIncludedDayTriggerMisfireInstructionName(
          QDesk.model.scheduler.quartz.QuartzNthIncludedDayTriggerMisfireInstruction.SMART_POLICY )
    } );

    data.push( {
      value : 1,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getNthIncludedDayTriggerMisfireInstructionName(
          QDesk.model.scheduler.quartz.QuartzNthIncludedDayTriggerMisfireInstruction.FIRE_ONCE_NOW )
    } );

    data.push( {
      value : 2,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getNthIncludedDayTriggerMisfireInstructionName(
          QDesk.model.scheduler.quartz.QuartzNthIncludedDayTriggerMisfireInstruction.DO_NOTHING )
    } );

    Ext.apply( config, {
      data : data
    } );

    me.callParent( [ config ] );
  }
} );