/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.ApplicationConfig',
    'QDesk.Msg',

    'QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType',

    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : [ 'value', 'valueLabel', 'groupLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.JOB_EXEC_TIME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.JOB_EXEC_TIME ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.JOB_EXEC_COUNT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.JOB_EXEC_COUNT ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_MOST_FREQ_EXEC_JOBS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_MOST_FREQ_EXEC_JOBS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topMostFrequentlyExecutedJobs.maxResults' ) ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_FASTEST_EXEC_JOBS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_FASTEST_EXEC_JOBS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topFastestExecutedJobs.maxResults' ) ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_SLOWEST_EXEC_JOBS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_SLOWEST_EXEC_JOBS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topSlowestExecutedJobs.maxResults' ) ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.jobStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_MOST_FREQ_EXEC_TRIGGERS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_MOST_FREQ_EXEC_TRIGGERS,
              QDesk.ApplicationConfig.get(
                  'quartz.statistics.scheduler.topMostFrequentlyExecutedTriggers.maxResults' ) ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.triggerStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_FASTEST_EXEC_TRIGGERS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_FASTEST_EXEC_TRIGGERS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topFastestExecutedTriggers.maxResults' ) ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.triggerStatisticsGroup' )
        },
        {
          value : QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_SLOWEST_EXEC_TRIGGERS,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getSchedulerStatisticsTypeName(
              QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType.TOP_SLOWEST_EXEC_TRIGGERS,
              QDesk.ApplicationConfig.get( 'quartz.statistics.scheduler.topSlowestExecutedTriggers.maxResults' ) ),
          groupLabel : QDesk.Msg.get(
              'QDesk.store.scheduler.quartz.stats.QuartzSchedulerStatisticsTypeStore.triggerStatisticsGroup' )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
