/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.stats.QuartzStatisticsTimePeriodLengthStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.common.TimePeriodLength',

    'QDesk.util.EnumUtils'
  ],

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        /* Minimum statistics period length is DAY */
        {
          value : QDesk.model.common.TimePeriodLength.DAY,
          valueLabel : QDesk.util.EnumUtils.getTimePeriodLengthName( QDesk.model.common.TimePeriodLength.DAY )
        },
        {
          value : QDesk.model.common.TimePeriodLength.WEEK,
          valueLabel : QDesk.util.EnumUtils.getTimePeriodLengthName( QDesk.model.common.TimePeriodLength.WEEK )
        },
        {
          value : QDesk.model.common.TimePeriodLength.MONTH,
          valueLabel : QDesk.util.EnumUtils.getTimePeriodLengthName( QDesk.model.common.TimePeriodLength.MONTH )
        },
        {
          value : QDesk.model.common.TimePeriodLength.QUARTER,
          valueLabel : QDesk.util.EnumUtils.getTimePeriodLengthName( QDesk.model.common.TimePeriodLength.QUARTER )
        },
        {
          value : QDesk.model.common.TimePeriodLength.YEAR,
          valueLabel : QDesk.util.EnumUtils.getTimePeriodLengthName( QDesk.model.common.TimePeriodLength.YEAR )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
