/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Common base class for form panels that supports references (required for default buttons).
 */
Ext.define( 'QDesk.view.base.BaseFormPanel', {
  extend : 'Ext.form.Panel',

  bodyPadding : 10,

  cls : 'baseFormPanel',

  //layout : 'anchor',  // anchor is the default layout for form panels

  defaults : {
    anchor : '100%'
  },

  /*
   * Important to set for defaultButtons to work.
   */
  referenceHolder : true,

  /**
   * Invoked when the component is initialized.
   */
  initComponent : function ()
  {
    var me = this;

    me.callParent();

    // automatically place focus on the first editable form field
    // me.on( 'afterrender', function ()
    // {
    //   QDesk.util.FormUtils.focusFirstEditableField( me );
    // } );
  }
} );
