/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.security.ForgotUsernameForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ForgotUsernameForm',

  border : false,

  buttonAlign : 'center',

  fieldDefaults : {
    labelAlign : 'top'
  },

  defaultButton : 'recoverUsernameButton',


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'container',
          layout : {
            type : 'column'
          },
          items : [
            {
              xtype : 'displayfield',
              cls : 'emailIcon',
              margin : '20 0 0 0'
            },
            {
              xtype : 'textfield',
              itemId : 'email',
              name : 'email',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.security.ForgotUsernameForm.fieldLabelEmail' ),
              fieldTooltip : QDesk.Msg.get( 'QDesk.view.security.ForgotUsernameForm.fieldTooltipEmail' ),
              emptyText : QDesk.Msg.get( 'QDesk.view.security.ForgotUsernameForm.fieldEmptyTxtEmail' ),
              allowBlank : false,
              margin : '0 20 0 10',
              columnWidth : 1
            }
          ]
        }
      ],

      buttons : [
        {
          itemId : 'recoverUsernameButton',
          reference : 'recoverUsernameButton', /* required for the defaultButton to work */
          text : QDesk.Msg.get( 'QDesk.view.security.ForgotUsernameForm.buttonLabelRecoverUsername' ),
          formBind : true
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
