/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.widget.message.WarningMessagePanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.WarningMessagePanel',

  cls : 'warningMessagePanel',
  bodyCls : 'warningMessagePanelBody',

  layout : {
    type : 'vbox',
    align : 'stretch'
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          itemId : 'msgPanel',
          html : ( config.qdesk && config.qdesk.msg ) ? config.qdesk.msg : '',
          flex : 1
        }
      ]
    } );

    me.callParent( [ config ] );
  },


  /**
   * Sets the warning message.
   * @param msg the warning message.
   */
  setMessage : function ( msg )
  {
    var me = this;
    me.down( '#msgPanel' ).update( msg );
  }
} );
