/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImXmppBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 95
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'serviceName',
          name : 'serviceName',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldLabelServiceName' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldTooltipServiceName' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldEmptyTxtServiceName' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'host',
          name : 'host',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldLabelHost' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldTooltipHost' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldEmptyTxtHost' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'numberfield',
          itemId : 'port',
          name : 'port',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldLabelPort' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldTooltipPort' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldEmptyTxtPort' ),
          anchor : '60%',
          value : 5222, /* default XMPP port */
          allowBlank : false,
          minValue : 1,
          maxValue : 65535,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'username',
          name : 'username',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldLabelUsername' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldTooltipUsername' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldEmptyTxtUsername' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        },
        {
          xtype : 'textfield',
          inputType : 'password',
          itemId : 'password',
          name : 'password',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldLabelPassword' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldTooltipPassword' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.xmpp.XmppBasicPanel.fieldEmptyTxtPassword' ),
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
