/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ThreadInfoGeneralForm',

  border : false,

  cls : 'threadInfoGeneralForm',
  //bodyCls : 'threadInfoGeneralFormBody',

  fieldDefaults : {
    labelWidth : 135
  },

  scrollable : true,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var items = [];

    items.push(
        {
          xtype : 'displayfield',
          itemId : 'threadId',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelThreadId' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipThreadId' )
        },
        {
          xtype : 'displayfield',
          itemId : 'threadGroupName',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelThreadGroupName' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipThreadGroupName' )
        },
        {
          xtype : 'displayfield',
          itemId : 'threadName',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelThreadName' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipThreadName' )
        },
        {
          xtype : 'displayfield',
          itemId : 'threadState',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelThreadState' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipThreadState' )
        },
        {
          xtype : 'displayfield',
          itemId : 'threadPriority',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelThreadPriority' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipThreadPriority' )
        },
        {
          xtype : 'displayfield',
          itemId : 'threadHashCode',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelThreadHashCode' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipThreadHashCode' )
        },
        {
          xtype : 'displayfield',
          itemId : 'daemon',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelDaemon' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipDaemon' )
        },
        {
          xtype : 'displayfield',
          itemId : 'suspended',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelSuspended' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipSuspended' )
        },
        {
          xtype : 'displayfield',
          itemId : 'inNative',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelInNative' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipInNative' )
        },
        {
          xtype : 'displayfield',
          itemId : 'blockedCount',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelBlockedCount' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipBlockedCount' )
        },
        {
          xtype : 'displayfield',
          itemId : 'blockedTime',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelBlockedTime' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipBlockedTime' )
        },
        {
          xtype : 'displayfield',
          itemId : 'waitedCount',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelWaitedCount' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipWaitedCount' )
        },
        {
          xtype : 'displayfield',
          itemId : 'waitedTime',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldLabelWaitedTime' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.scheduler.common.jvm.ThreadInfoGeneralForm.fieldTooltipWaitedTime' )
        }
    );

    Ext.apply( config, {
      items : items
    } );

    me.callParent( [ config ] );
  }
} );
