/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg',

    'QDesk.util.EnumUtils',

    'QDesk.view.work.scheduler.common.AgentConfigurationGrid'
  ],

  alias : 'widget.QuartzConnectionInfoForm',

  border : 0,

  cls : 'quartzConnectionInfoForm',
  bodyCls : 'quartzConnectionInfoFormBody',

  frame : false,

  scrollable : true,

  fieldDefaults : {
    labelWidth : 150
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'fieldset',
          title : QDesk.Msg.get( 'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldsetLabelJmxInfo' ),
          tooltip : QDesk.Msg.get( 'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldsetTooltipJmxInfo' ),
          layout : 'anchor',
          defaults : {
            anchor : '100%',
            labelWidth : 100
          },
          items : [
            {
              xtype : 'displayfield',
              itemId : 'jmxProtocol',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldLabelJmxProtocol' ),
              renderer : function ( value, field )
              {
                if ( Ext.isEmpty( value ) )
                  return value;

                return QDesk.util.EnumUtils.getProtocolName( value );
              }
            },
            {
              xtype : 'displayfield',
              itemId : 'jmxHost',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldLabelJmxHost' )
            },
            {
              xtype : 'displayfield',
              itemId : 'jmxPort',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldLabelJmxPort' )
            },
            {
              xtype : 'displayfield',
              itemId : 'jmxObjectName',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldLabelJmxObjectName' )
            },
            {
              xtype : 'displayfield',
              itemId : 'jmxServiceUrl',
              fieldLabel : QDesk.Msg.get(
                  'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.fieldLabelJmxServiceUrl' )
            },

            {
              xtype : 'button',
              itemId : 'testButton',
              text : QDesk.Msg.get( 'QDesk.view.work.scheduler.quartz.info.ConnectionInfoForm.buttonLabelTest' ),
              anchor : 'left',
              iconCls : 'testConnection',
              style : {
                marginBottom : '5px',
                paddingLeft : '15px',
                paddingRight : '15px'
              },
              qdRequiresAnyPermissions : [],
              qdNotAuthorizedIconCls : 'testConnectionNAUTH'
            },

            {
              xtype : 'button',
              itemId : 'editButton',
              text : QDesk.Msg.get( 'QDesk.buttonLabelEdit' ),
              anchor : 'left',
              iconCls : 'editConnection',
              style : {
                marginBottom : '5px',
                marginLeft : '10px',
                paddingLeft : '15px',
                paddingRight : '15px'
              },
              qdRequiresAnyPermissions : [],
              qdNotAuthorizedIconCls : 'editConnectionNAUTH'
            }
          ]
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
