/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.quartz.jobs.ExecutingJobsTab', {
  extend : 'QDesk.view.work.scheduler.BaseSchedulerXPanel',

  requires : [
    'QDesk.Msg',
    'QDesk.view.work.scheduler.quartz.jobs.ExecutingJobsGrid'
  ],

  alias : 'widget.QuartzExecutingJobsTab',

  iconCls : 'quartzExecutingJobsSubTabIcon',

  layout : {
    type : 'vbox',
    align : 'stretch'
  },

  border : false,

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionCtx )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionCtx' );

    var items = [];

    items.push( {
      xtype : 'QuartzExecutingJobsGrid',
      itemId : 'executingJobsGrid',
      flex : 1,
      qdesk : config.qdesk
    } );

//    items.push( {
//      xtype : 'QuartzExecutingJobsTabViews',
//      itemId : 'views',
//      flex : 2,
//      qdesk : config.qdesk
//    } );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.scheduler.quartz.jobs.ExecutingJobsTab.title' ),
      tooltip : QDesk.Msg.get( 'QDesk.view.work.scheduler.quartz.jobs.ExecutingJobsTab.tooltip' ),
      items : items
    } );

    me.callParent( [ config ] );
  }
} );