/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.quartz.jobs.JobsTabCtxViews', {
  extend : 'QDesk.view.widget.tab.XTabPanel',

  requires : [
    'QDesk.view.work.scheduler.quartz.jobs.audit.JobAuditTrailCtxView',
    'QDesk.view.work.scheduler.quartz.jobs.chain.JobJobChainsCtxView',
    'QDesk.view.work.scheduler.quartz.jobs.history.JobExecHistoryCtxView',
    'QDesk.view.work.scheduler.quartz.jobs.misfire.JobMisfiredTriggersCtxView',
    'QDesk.view.work.scheduler.quartz.jobs.notif.exec.JobExecNotificationsCtxView',
    'QDesk.view.work.scheduler.quartz.jobs.stats.JobStatisticsCtxView',
    'QDesk.view.work.scheduler.quartz.jobs.triggers.JobTriggersCtxView'
  ],

  alias : 'widget.QuartzJobsTabCtxViews',

  cls : 'quartzJobsTabCtxViews',
  bodyCls : 'quartzJobsTabCtxViewsBody',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionCtx )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionCtx' );

    Ext.apply( config, {
      items : [
        // Execution History - selected job's execution history
        {
          xtype : 'QuartzJobExecHistoryCtxView',
          itemId : 'historyView',
          qdesk : config.qdesk
        },

        // Triggers - selected job's triggers
        {
          xtype : 'QuartzJobTriggersCtxView',
          itemId : 'triggersView',
          qdesk : config.qdesk
        },

        // Misfired Triggers - selected job's misfired triggers
        {
          xtype : 'QuartzJobMisfiredTriggersCtxView',
          itemId : 'misfiredTriggersView',
          qdesk : config.qdesk
        },

        // Statistics - selected job's execution statistics
        {
          xtype : 'QuartzJobStatisticsCtxView',
          itemId : 'statisticsView',
          qdesk : config.qdesk
        },

        // Execution Notification Rules - selected job's execution notification rules
        {
          xtype : 'QuartzJobExecNotificationsCtxView',
          itemId : 'notificationsView',
          qdesk : config.qdesk
        },

        // Job Chains - selected job's job chains
        {
          xtype : 'QuartzJobJobChainsCtxView',
          itemId : 'jobChainsView',
          qdesk : config.qdesk
        },

        // Audit Trail - selected job's audit trail
        {
          xtype : 'QuartzJobAuditTrailCtxView',
          itemId : 'auditTrailView',
          qdesk : config.qdesk
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
