/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.quartz.triggers.TriggersTabCtxViews', {
  extend : 'QDesk.view.widget.tab.XTabPanel',

  requires : [
    'QDesk.view.work.scheduler.quartz.triggers.audit.TriggerAuditTrailCtxView',
    'QDesk.view.work.scheduler.quartz.triggers.chain.TriggerJobChainsCtxView',
    'QDesk.view.work.scheduler.quartz.triggers.history.TriggerExecHistoryCtxView',
    'QDesk.view.work.scheduler.quartz.triggers.misfire.TriggerMisfiredTriggersCtxView',
    'QDesk.view.work.scheduler.quartz.triggers.notif.exec.TriggerExecNotificationsCtxView',
    'QDesk.view.work.scheduler.quartz.triggers.stats.TriggerStatisticsCtxView'
  ],

  alias : 'widget.QuartzTriggersTabCtxViews',

  cls : 'quartzTriggersTabCtxViews',
  bodyCls : 'quartzTriggersTabCtxViewsBody',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionCtx )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionCtx' );

    Ext.apply( config, {
      items : [
        // Execution History - selected trigger's execution history
        {
          xtype : 'QuartzTriggerExecHistoryCtxView',
          itemId : 'historyView',
          qdesk : config.qdesk
        },

        // Misfired Triggers - selected trigger's misfired trigger records.
        {
          xtype : 'QuartzTriggerMisfiredTriggersCtxView',
          itemId : 'misfiredTriggersView',
          qdesk : config.qdesk
        },

        // Statistics - selected job's execution statistics
        {
          xtype : 'QuartzTriggerStatisticsCtxView',
          itemId : 'statisticsView',
          qdesk : config.qdesk
        },

        // Execution Notification Rules - selected trigger's execution notification rules
        {
          xtype : 'QuartzTriggerExecNotificationsCtxView',
          itemId : 'notificationsView',
          qdesk : config.qdesk
        },

        // Job Chains - selected trigger's job chains
        {
          xtype : 'QuartzTriggerJobChainsCtxView',
          itemId : 'jobChainsView',
          qdesk : config.qdesk
        },

        // Audit Trail - selected trigger's audit trail
        {
          xtype : 'QuartzTriggerAuditTrailCtxView',
          itemId : 'auditTrailView',
          qdesk : config.qdesk
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
