/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.system.ws.ServicesTab', {
  extend : 'QDesk.view.work.BaseWorkTab',

  requires : [
    'QDesk.Msg',

    'QDesk.view.widget.tab.XTabPanel'
  ],

  alias : 'widget.ServicesTab',

  cls : 'servicesTab',
  bodyCls : 'servicesTabBody',

  // border : false,
  /* The panel should not be scrollable, but sub-tabs should be! */
  scrollable : false,

  iconCls : 'servicesTabIcon',

  layout : {
    type : 'vbox',
    align : 'stretch'
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'XTabPanel',
          border : false,
          flex : 1,  // for the parent vbox/stretch layout
          items : []
        }
      ]
    } );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.system.ws.ServicesTab.title' ),
      tooltip : QDesk.Msg.get( 'QDesk.view.work.system.ws.ServicesTab.tooltip' )
    } );

    me.callParent( [ config ] );
  },


  /**
   * Adds a new to the nested XTabPanel.
   * @param tab new tab to add.
   */
  addTab : function ( tab )
  {
    var me = this;
    me.down( 'XTabPanel' ).add( tab );
  },


  setActiveTab : function ( tab )
  {
    var me = this;
    me.down( 'XTabPanel' ).setActiveTab( tab );
  }
} );
